def get_spread(
        near_leg: dict = None,
        far_leg: dict = None, 
        open_price: float = None,
        high_price: float = None,
        low_price: float = None,
        close_price: float = None,
        entry_slippage: float = None,
        exit_slippage: float = None
    ):

    spread = {}

    if near_leg or far_leg:
        spread['Legs'] = []
        if near_leg:
            spread['Legs'].append(near_leg)
        if far_leg:
            spread['Legs'].append(far_leg)

    if open_price is not None:
        spread['Open'] = open_price

    if high_price is not None:
        spread['High'] = high_price

    if low_price is not None:
        spread['Low'] = low_price

    if close_price is not None:
        spread['Close'] = close_price

    if entry_slippage is not None:
        spread['Entry Slippage'] = entry_slippage

    if exit_slippage is not None:
        spread['Exit Slippage'] = exit_slippage

    return spread